<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [BitNodeOptions](./bitburner.bitnodeoptions.md)

## BitNodeOptions interface

Default value:

- sourceFileOverrides: an empty Map

- intelligenceOverride: undefined

- All boolean options: false

If you specify intelligenceOverride, it must be a non-negative integer.

**Signature:**

```typescript
export interface BitNodeOptions extends BitNodeBooleanOptions 
```
**Extends:** [BitNodeBooleanOptions](./bitburner.bitnodebooleanoptions.md)

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [intelligenceOverride](./bitburner.bitnodeoptions.intelligenceoverride.md) |  | number \| undefined |  |
|  [sourceFileOverrides](./bitburner.bitnodeoptions.sourcefileoverrides.md) |  | Map&lt;number, number&gt; |  |

